Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/TExTria.cc
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/TExTria.cc	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/TExTria.cc	(revision 1316)
@@ -0,0 +1,109 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TExTria.cc,v 1.2 2006/06/29 18:52:11 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+// 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#include "TEx01DetectorConstruction.hh"
+#include "TEx01PhysicsList.hh"
+#include "TEx01PrimaryGeneratorAction.hh"
+#include "TEx01RunAction.hh"
+
+#include "G4RunManager.hh"
+#include "G4UImanager.hh"
+#include "G4UIterminal.hh"
+#include "G4UItcsh.hh"
+
+#ifdef G4VIS_USE
+#include "TEx01VisManager.hh"
+#endif
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+int main(int argc,char** argv) {
+
+  
+  // Run manager
+  G4RunManager * runManager = new G4RunManager;
+
+  // UserInitialization classes (mandatory)
+  TEx01DetectorConstruction* TEx01detector = new TEx01DetectorConstruction;
+  runManager->SetUserInitialization(TEx01detector);
+  runManager->SetUserInitialization(new TEx01PhysicsList);
+  
+#ifdef G4VIS_USE
+  // Visualization, if you choose to have it!
+  G4VisManager* visManager = new TEx01VisManager;
+  visManager->Initialize();
+#endif
+   
+  // UserAction classes
+  runManager->SetUserAction(new TEx01PrimaryGeneratorAction);
+  runManager->SetUserAction(new TEx01RunAction);  
+
+  //Initialize G4 kernel
+  runManager->Initialize();
+      
+  //get the pointer to the User Interface manager 
+  G4UImanager * UI = G4UImanager::GetUIpointer();  
+
+  if(argc==1)
+  // Define (G)UI terminal for interactive mode  
+  { 
+    // G4UIterminal is a (dumb) terminal.
+    G4UIsession * session = 0;
+#ifdef G4UI_USE_TCSH
+      session = new G4UIterminal(new G4UItcsh);      
+#else
+      session = new G4UIterminal();
+#endif    
+
+    UI->ApplyCommand("/control/execute vis.mac");    
+    session->SessionStart();
+    delete session;
+  }
+  else
+  // Batch mode
+  { 
+    G4String command = "/control/execute ";
+    G4String fileName = argv[1];
+    UI->ApplyCommand(command+fileName);
+  }
+
+#ifdef G4VIS_USE
+  delete visManager;
+#endif
+  delete runManager;
+
+  return 0;
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01DetectorConstruction.hh
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01DetectorConstruction.hh	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01DetectorConstruction.hh	(revision 1316)
@@ -0,0 +1,78 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01DetectorConstruction.hh,v 1.2 2006/06/29 18:52:13 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#ifndef TEx01DetectorConstruction_h
+#define TEx01DetectorConstruction_h 1
+
+#include "globals.hh"
+#include "G4VUserDetectorConstruction.hh"
+
+#include "G4TessellatedSolid.hh"
+
+class G4TessellatedSolid;
+class G4Box;
+class G4LogicalVolume;
+class G4VPhysicalVolume;
+class G4Material;
+class TEx01DetectorMessenger;
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+class TEx01DetectorConstruction : public G4VUserDetectorConstruction
+{
+  public:
+  
+     TEx01DetectorConstruction();
+    ~TEx01DetectorConstruction();
+
+  public:
+  
+     G4VPhysicalVolume* Construct();
+          
+  private:
+
+     G4Box*             solidWorld;    // pointer to the solid envelope 
+     G4LogicalVolume*   logicWorld;    // pointer to the logical envelope
+     G4VPhysicalVolume* physiWorld;    // pointer to the physical envelope
+     
+//     G4Box*             solidTarget;   // pointer to the solid Target
+     G4TessellatedSolid *solidTarget;
+     G4LogicalVolume*   logicTarget;   // pointer to the logical Target
+     G4VPhysicalVolume* physiTarget;   // pointer to the physical Target
+               
+     G4double fWorldLength;            // Full length of the world volume
+     G4double fTargetLength;           // Full length of Target
+};
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#endif
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01PhysicsList.hh
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01PhysicsList.hh	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01PhysicsList.hh	(revision 1316)
@@ -0,0 +1,58 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01PhysicsList.hh,v 1.2 2006/06/29 18:52:15 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#ifndef TEx01PhysicsList_h
+#define TEx01PhysicsList_h 1
+
+#include "G4VUserPhysicsList.hh"
+#include "globals.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+class TEx01PhysicsList: public G4VUserPhysicsList
+{
+  public:
+    TEx01PhysicsList();
+   ~TEx01PhysicsList();
+
+  protected:
+    void ConstructParticle();
+    void ConstructProcess();
+    void SetCuts();
+
+};
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#endif
+
+ 
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01PrimaryGeneratorAction.hh
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01PrimaryGeneratorAction.hh	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01PrimaryGeneratorAction.hh	(revision 1316)
@@ -0,0 +1,61 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01PrimaryGeneratorAction.hh,v 1.2 2006/06/29 18:52:17 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+ 
+#ifndef TEx01PrimaryGeneratorAction_h
+#define TEx01PrimaryGeneratorAction_h 1
+
+#include "G4VUserPrimaryGeneratorAction.hh"
+#include "G4GeneralParticleSource.hh"
+
+//class G4ParticleGun;
+class G4Event;
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+ 
+class TEx01PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
+{
+  public:
+    TEx01PrimaryGeneratorAction();    
+   ~TEx01PrimaryGeneratorAction();
+
+  public:
+    void GeneratePrimaries(G4Event*);
+
+  private:
+    G4GeneralParticleSource* particleGun;
+};
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#endif
+
+
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01RunAction.hh
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01RunAction.hh	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01RunAction.hh	(revision 1316)
@@ -0,0 +1,61 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01RunAction.hh,v 1.2 2006/06/29 18:52:19 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#ifndef TEx01RunAction_h
+#define TEx01RunAction_h 1
+
+#include "G4UserRunAction.hh"
+#include "globals.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+class G4Run;
+
+class TEx01RunAction : public G4UserRunAction
+{
+  public:
+    TEx01RunAction();
+   ~TEx01RunAction();
+
+  public:
+    void BeginOfRunAction(const G4Run*);
+    void EndOfRunAction(const G4Run*);
+};
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#endif
+
+
+
+
+
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01VisManager.hh
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01VisManager.hh	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/include/TEx01VisManager.hh	(revision 1316)
@@ -0,0 +1,75 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01VisManager.hh,v 1.2 2006/06/29 18:52:21 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+// 
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+// Example Visualization Manager implementing virtual function
+//   RegisterGraphicsSystems.  Exploits C-pre-processor variables
+//   G4VIS_USE_DAWN, etc., which are set by the GNUmakefiles if
+//   environment variables of the same name are set.
+
+// So all you have to do is set environment variables and compile and
+//   instantiate this in your main().
+
+// Alternatively, you can implement an empty function here and just
+//   register the systems you want in your main(), e.g.:
+//   G4VisManager* myVisManager = new MyVisManager;
+//   myVisManager -> RegisterGraphicsSystem (new MyGraphicsSystem);
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#ifndef TEx01VisManager_h
+#define TEx01VisManager_h 1
+
+#ifdef G4VIS_USE
+
+#include "G4VisManager.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+class TEx01VisManager: public G4VisManager {
+
+public:
+
+  TEx01VisManager ();
+
+private:
+
+  void RegisterGraphicsSystems ();
+
+};
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#endif
+
+#endif
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/oglix.mac
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/oglix.mac	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/oglix.mac	(revision 1316)
@@ -0,0 +1,36 @@
+#
+# Macro file for the initialization phase of "exampleN02.cc"
+# when runing in interactive mode
+#
+# Sets some default verbose
+#
+/control/verbose 2
+/run/verbose 2
+#
+# create empty scene
+#
+#/vis/open VRML2FILE
+#/vis/open RayTracer
+/vis/open OGLIX
+/vis/viewer/create
+/vis/drawVolume
+/vis/scene/endOfEventAction accumulate
+#/vis/rayTracer/target 0 0 0 mm
+#/vis/rayTracer/eyePosition  -00 0 -2000 mm
+#/vis/rayTracer/span 1.0  
+#/vis/rayTracer/trace
+#
+#
+# for drawing the tracks
+# (if too many tracks cause core dump => storeTrajectory 0)
+/tracking/storeTrajectory 1
+
+
+/tracking/verbose 2
+/gps/pos/type Plane
+/gps/pos/centre 0 0 -1 mm
+/gps/pos/shape Square
+/gps/pos/halfx 10 cm
+/gps/pos/halfy 10 cm
+/gps/direction 0 0 1
+/run/beamOn 10
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/raytracer-z.mac
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/raytracer-z.mac	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/raytracer-z.mac	(revision 1316)
@@ -0,0 +1,26 @@
+#
+# Macro file for the initialization phase of "exampleN02.cc"
+# when runing in interactive mode
+#
+# Sets some default verbose
+#
+/control/verbose 2
+/run/verbose 2
+#
+# create empty scene
+#
+#/vis/open VRML2FILE
+/vis/open RayTracer
+/vis/viewer/create
+/vis/drawVolume
+/vis/rayTracer/target 0 0 0 mm
+/vis/rayTracer/eyePosition  0 0 -2000 mm
+/vis/rayTracer/span 1.0  
+/vis/rayTracer/trace
+#
+/tracking/verbose 2
+/gps/pos/type Surface
+/gps/pos/shape Sphere
+/gps/pos/radius 5 cm
+/gps/ang/type cos
+/run/beamOn 10
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/raytracer.mac
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/raytracer.mac	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/raytracer.mac	(revision 1316)
@@ -0,0 +1,26 @@
+#
+# Macro file for the initialization phase of "exampleN02.cc"
+# when runing in interactive mode
+#
+# Sets some default verbose
+#
+/control/verbose 2
+/run/verbose 2
+#
+# create empty scene
+#
+#/vis/open VRML2FILE
+/vis/open RayTracer
+/vis/viewer/create
+/vis/drawVolume
+/vis/rayTracer/target 0 0 0 mm
+/vis/rayTracer/eyePosition  0 -1000 2000 mm
+/vis/rayTracer/span 1.0  
+/vis/rayTracer/trace
+#
+/tracking/verbose 2
+/gps/pos/type Surface
+/gps/pos/shape Sphere
+/gps/pos/radius 5 cm
+/gps/ang/type cos
+/run/beamOn 10
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01DetectorConstruction.cc
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01DetectorConstruction.cc	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01DetectorConstruction.cc	(revision 1316)
@@ -0,0 +1,211 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01DetectorConstruction.cc,v 1.5 2007/05/18 10:40:29 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo...... 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+ 
+#include "TEx01DetectorConstruction.hh"
+
+#include "G4Material.hh"
+#include "G4Box.hh"
+#include "G4LogicalVolume.hh"
+#include "G4PVPlacement.hh"
+#include "G4PVParameterised.hh"
+#include "G4SDManager.hh"
+
+#include "G4UserLimits.hh"
+
+#include "G4VisAttributes.hh"
+#include "G4Colour.hh"
+
+#include "G4ios.hh"
+
+#include "G4TriangularFacet.hh"
+#include "G4VFacet.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+ 
+TEx01DetectorConstruction::TEx01DetectorConstruction()
+:solidWorld(0),  logicWorld(0),  physiWorld(0),
+ solidTarget(0), logicTarget(0), physiTarget(0)
+{;}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+ 
+TEx01DetectorConstruction::~TEx01DetectorConstruction()
+{;}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+ 
+G4VPhysicalVolume* TEx01DetectorConstruction::Construct()
+{
+//--------- Material definition ---------
+
+  G4double a, z;
+  G4double density;
+  G4int nel;
+
+  //Air
+  G4Element* N = new G4Element("Nitrogen", "N", z=7., a= 14.01*g/mole);
+  G4Element* O = new G4Element("Oxygen"  , "O", z=8., a= 16.00*g/mole);
+   
+  G4Material* Air = new G4Material("Air", density= 1.29*mg/cm3, nel=2);
+  Air->AddElement(N, 70*perCent);
+  Air->AddElement(O, 30*perCent);
+
+  //Lead
+  G4Material* Pb = 
+  new G4Material("Lead", z=82., a= 207.19*g/mole, density= 11.35*g/cm3);
+    
+  // Print all the materials defined.
+  //
+  G4cout << G4endl << "The materials defined are : " << G4endl << G4endl;
+  G4cout << *(G4Material::GetMaterialTable()) << G4endl;
+
+//--------- Sizes of the principal geometrical components (solids)  ---------
+  
+  fTargetLength  = 10.0 * cm;                        // Full length of Target
+  
+  fWorldLength= 1.2 *(fTargetLength*2.0);
+   
+  G4double targetSize  = 0.5*fTargetLength;    // Half length of the Target  
+      
+//--------- Definitions of Solids, Logical Volumes, Physical Volumes ---------
+  
+  //------------------------------ 
+  // World
+  //------------------------------ 
+
+  G4double HalfWorldLength = 0.5*fWorldLength;
+  
+ solidWorld= new G4Box("world",HalfWorldLength,HalfWorldLength,HalfWorldLength);
+ logicWorld= new G4LogicalVolume( solidWorld, Air, "World", 0, 0, 0);
+  
+  //  Must place the World Physical volume unrotated at (0,0,0).
+  // 
+  physiWorld = new G4PVPlacement(0,               // no rotation
+                                 G4ThreeVector(), // at (0,0,0)
+                                 logicWorld,      // its logical volume
+				 "World",         // its name
+                                 0,               // its mother  volume
+                                 false,           // no boolean operations
+                                 0);              // no field specific to volume
+				 
+  //------------------------------ 
+  // Target
+  //------------------------------
+  
+  G4ThreeVector positionTarget = G4ThreeVector(0.0,0.0,0.0);
+   
+  //solidTarget = new G4Box("target",targetSize,targetSize,targetSize);
+
+  solidTarget = new G4TessellatedSolid("target");
+  G4TriangularFacet *facet1 = new
+  G4TriangularFacet (G4ThreeVector(-targetSize,-targetSize,        0.0),
+                     G4ThreeVector(+targetSize,-targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,+targetSize),
+                     ABSOLUTE);
+  G4TriangularFacet *facet2 = new
+  G4TriangularFacet (G4ThreeVector(+targetSize,-targetSize,        0.0),
+                     G4ThreeVector(+targetSize,+targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,+targetSize),
+                     ABSOLUTE);
+  G4TriangularFacet *facet3 = new
+  G4TriangularFacet (G4ThreeVector(+targetSize,+targetSize,        0.0),
+                     G4ThreeVector(-targetSize,+targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,+targetSize),
+                     ABSOLUTE);
+  G4TriangularFacet *facet4 = new
+  G4TriangularFacet (G4ThreeVector(-targetSize,+targetSize,        0.0),
+                     G4ThreeVector(-targetSize,-targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,+targetSize),
+                     ABSOLUTE);
+  G4TriangularFacet *facet5 = new
+  G4TriangularFacet (G4ThreeVector(-targetSize,-targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,-targetSize/2.),
+                     G4ThreeVector(+targetSize,-targetSize,        0.0),
+                     ABSOLUTE);
+  G4TriangularFacet *facet6 = new
+  G4TriangularFacet (G4ThreeVector(+targetSize,-targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,-targetSize/2.),
+                     G4ThreeVector(+targetSize,+targetSize,        0.0),
+                     ABSOLUTE);
+  G4TriangularFacet *facet7 = new
+  G4TriangularFacet (G4ThreeVector(+targetSize,+targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,-targetSize/2.),
+                     G4ThreeVector(-targetSize,+targetSize,        0.0),
+                     ABSOLUTE);
+  G4TriangularFacet *facet8 = new
+  G4TriangularFacet (G4ThreeVector(-targetSize,+targetSize,        0.0),
+                     G4ThreeVector(        0.0,        0.0,-targetSize/2.),
+                     G4ThreeVector(-targetSize,-targetSize,        0.0),
+                     ABSOLUTE);
+  solidTarget->AddFacet((G4VFacet*) facet1);
+  solidTarget->AddFacet((G4VFacet*) facet2);
+  solidTarget->AddFacet((G4VFacet*) facet3);
+  solidTarget->AddFacet((G4VFacet*) facet4);
+  solidTarget->AddFacet((G4VFacet*) facet5);
+  solidTarget->AddFacet((G4VFacet*) facet6);
+  solidTarget->AddFacet((G4VFacet*) facet7);
+  solidTarget->AddFacet((G4VFacet*) facet8);
+  
+  solidTarget->SetSolidClosed(true);
+  logicTarget = new G4LogicalVolume(solidTarget,Pb,"Target",0,0,0);
+  physiTarget = new G4PVPlacement(0,               // no rotation
+				  positionTarget,  // at (x,y,z)
+				  logicTarget,     // its logical volume				  
+				  "Target",        // its name
+				  logicWorld,      // its mother  volume
+				  false,           // no boolean operations
+				  0);              // no particular field 
+  
+//--------- Visualization attributes -------------------------------
+
+  G4VisAttributes* BoxVisAtt= new G4VisAttributes(G4Colour(1.0,1.0,1.0));
+  BoxVisAtt->SetVisibility(false);
+  G4VisAttributes* FacetVisAtt= new G4VisAttributes(G4Colour(1.0,0.0,0.0));
+  FacetVisAtt->SetVisibility(true);
+  
+  logicWorld  ->SetVisAttributes(BoxVisAtt);  
+  logicTarget ->SetVisAttributes(FacetVisAtt);
+  
+//--------- example of User Limits -------------------------------
+
+  // below is an example of how to set tracking constraints in a given
+  // logical volume(see also in N02PhysicsList how to setup the process
+  // G4UserSpecialCuts).  
+  // Sets a max Step length in the tracker region
+  // G4double maxStep = 0.5*ChamberWidth, maxLength = 2*fTrackerLength;
+  // G4double maxTime = 0.1*ns, minEkin = 10*MeV;
+  // logicTracker->SetUserLimits(new G4UserLimits(maxStep,maxLength,maxTime,
+  //                                               minEkin));
+  
+  return physiWorld;
+}
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01PhysicsList.cc
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01PhysicsList.cc	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01PhysicsList.cc	(revision 1316)
@@ -0,0 +1,72 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01PhysicsList.cc,v 1.2 2006/06/29 18:52:25 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#include "globals.hh"
+#include "TEx01PhysicsList.hh"
+
+#include "G4Transportation.hh"
+#include "G4Geantino.hh"
+#include "G4Proton.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01PhysicsList::TEx01PhysicsList():  G4VUserPhysicsList()
+{
+  defaultCutValue = 1.0*cm;
+   SetVerboseLevel(1);
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01PhysicsList::~TEx01PhysicsList()
+{}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01PhysicsList::ConstructParticle()
+{
+  G4Geantino::GeantinoDefinition();
+  G4Proton::ProtonDefinition();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01PhysicsList::ConstructProcess()
+{
+  AddTransportation();
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01PhysicsList::SetCuts()
+{;}
+
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01PrimaryGeneratorAction.cc
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01PrimaryGeneratorAction.cc	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01PrimaryGeneratorAction.cc	(revision 1316)
@@ -0,0 +1,72 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01PrimaryGeneratorAction.cc,v 1.2 2006/06/29 18:52:27 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#include "TEx01PrimaryGeneratorAction.hh"
+#include "TEx01DetectorConstruction.hh"
+
+#include "G4Event.hh"
+#include "G4GeneralParticleSource.hh"
+#include "G4Geantino.hh"
+#include "G4Proton.hh"
+#include "G4ParticleDefinition.hh"
+#include "globals.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01PrimaryGeneratorAction::TEx01PrimaryGeneratorAction()
+{
+  particleGun = new G4GeneralParticleSource();
+
+// default particle
+
+//  G4ParticleDefinition* particle = G4Geantino::GeantinoDefinition();
+  //G4ParticleDefinition* particle = G4Proton::ProtonDefinition();
+  
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01PrimaryGeneratorAction::~TEx01PrimaryGeneratorAction()
+{
+  delete particleGun;
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01PrimaryGeneratorAction::GeneratePrimaries(G4Event* anEvent)
+{ 
+  
+  particleGun->GeneratePrimaryVertex(anEvent);
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01RunAction.cc
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01RunAction.cc	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01RunAction.cc	(revision 1316)
@@ -0,0 +1,62 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01RunAction.cc,v 1.2 2006/06/29 18:52:29 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#include "TEx01RunAction.hh"
+
+#include "G4Run.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01RunAction::TEx01RunAction()
+{}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01RunAction::~TEx01RunAction()
+{}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01RunAction::BeginOfRunAction(const G4Run* aRun)
+{
+  G4cout << "### Run " << aRun->GetRunID() << " start." << G4endl;
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01RunAction::EndOfRunAction(const G4Run*)
+{ }
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+
+
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01VisManager.cc
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01VisManager.cc	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/src/TEx01VisManager.cc	(revision 1316)
@@ -0,0 +1,146 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: TEx01VisManager.cc,v 1.3 2007/05/18 10:40:29 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+//
+//
+// John Allison 24th January 1998.
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+#ifdef G4VIS_USE
+
+#include "TEx01VisManager.hh"
+
+// Supported drivers...
+
+// Not needing external packages or libraries...
+#include "G4ASCIITree.hh"
+#include "G4DAWNFILE.hh"
+#include "G4HepRepFile.hh"
+#include "G4HepRep.hh"
+#include "G4RayTracer.hh"
+#include "G4VRML1File.hh"
+#include "G4VRML2File.hh"
+
+// Needing external packages or libraries...
+
+#ifdef G4VIS_USE_DAWN
+#include "G4FukuiRenderer.hh"
+#endif
+
+#ifdef G4VIS_USE_OPENGLX
+#include "G4OpenGLImmediateX.hh"
+#include "G4OpenGLStoredX.hh"
+#endif
+
+#ifdef G4VIS_USE_OPENGLWIN32
+#include "G4OpenGLImmediateWin32.hh"
+#include "G4OpenGLStoredWin32.hh"
+#endif
+
+#ifdef G4VIS_USE_OPENGLXM
+#include "G4OpenGLImmediateXm.hh"
+#include "G4OpenGLStoredXm.hh"
+#endif
+
+#ifdef G4VIS_USE_OIX
+#include "G4OpenInventorX.hh"
+#endif
+
+#ifdef G4VIS_USE_OIWIN32
+#include "G4OpenInventorWin32.hh"
+#endif
+
+#ifdef G4VIS_USE_VRML
+#include "G4VRML1.hh"
+#include "G4VRML2.hh"
+#endif
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+TEx01VisManager::TEx01VisManager () {}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void TEx01VisManager::RegisterGraphicsSystems () {
+
+  // Graphics Systems not needing external packages or libraries...
+  RegisterGraphicsSystem (new G4ASCIITree);
+  RegisterGraphicsSystem (new G4DAWNFILE);
+  RegisterGraphicsSystem (new G4HepRepFile);
+  RegisterGraphicsSystem (new G4HepRep);
+  RegisterGraphicsSystem (new G4RayTracer);
+  RegisterGraphicsSystem (new G4VRML1File);
+  RegisterGraphicsSystem (new G4VRML2File);
+
+  // Graphics systems needing external packages or libraries...
+
+#ifdef G4VIS_USE_DAWN
+  RegisterGraphicsSystem (new G4FukuiRenderer);
+#endif
+
+#ifdef G4VIS_USE_OPENGLX
+  RegisterGraphicsSystem (new G4OpenGLImmediateX);
+  RegisterGraphicsSystem (new G4OpenGLStoredX);
+#endif
+
+#ifdef G4VIS_USE_OPENGLWIN32
+  RegisterGraphicsSystem (new G4OpenGLImmediateWin32);
+  RegisterGraphicsSystem (new G4OpenGLStoredWin32);
+#endif
+
+#ifdef G4VIS_USE_OPENGLXM
+  RegisterGraphicsSystem (new G4OpenGLImmediateXm);
+  RegisterGraphicsSystem (new G4OpenGLStoredXm);
+#endif
+
+#ifdef G4VIS_USE_OIX
+  RegisterGraphicsSystem (new G4OpenInventorX);
+#endif
+
+#ifdef G4VIS_USE_OIWIN32
+  RegisterGraphicsSystem (new G4OpenInventorWin32);
+#endif
+
+#ifdef G4VIS_USE_VRML
+  RegisterGraphicsSystem (new G4VRML1);
+  RegisterGraphicsSystem (new G4VRML2);
+#endif
+
+  if (fVerbose > 0) {
+    G4cout <<
+      "\nYou have successfully chosen to use the following graphics systems."
+	 << G4endl;
+    PrintAvailableGraphicsSystems ();
+  }
+}
+
+#endif
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/source/geometry/solids/specific/test/testG4Tess_Tria/vrml.mac
===================================================================
--- trunk/source/geometry/solids/specific/test/testG4Tess_Tria/vrml.mac	(revision 1316)
+++ trunk/source/geometry/solids/specific/test/testG4Tess_Tria/vrml.mac	(revision 1316)
@@ -0,0 +1,18 @@
+#
+# Macro file for the initialization phase of "exampleN02.cc"
+# when runing in interactive mode
+#
+# Sets some default verbose
+#
+/control/verbose 2
+/run/verbose 2
+#
+# create empty scene
+#
+/vis/open VRML2FILE
+/vis/scene/create
+/vis/drawVolume
+#
+/vis/viewer/flush
+#
+
